Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Env_Value_T.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/OS_NS_stdlib.h"`
`#include "ace/Env_Value_T.i"`
`#include "ace/Env_Value_T.cpp"`

Include dependency graph for Env_Value_T.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Env_Value
| Enviroment Variable Value. More...
## Functions
template<class T> void | ACE_Convert (const ACE_TCHAR *s, T &t)
void | ACE_Convert (const ACE_TCHAR *s, ACE_TCHAR *&v)
void | ACE_Convert (const ACE_TCHAR *s, const ACE_TCHAR *&v)
void | ACE_Convert (const ACE_TCHAR *s, short &si)
void | ACE_Convert (const ACE_TCHAR *s, u_short &us)
void | ACE_Convert (const ACE_TCHAR *s, u_int &i)
void | ACE_Convert (const ACE_TCHAR *s, long &l)
void | ACE_Convert (const ACE_TCHAR *s, int &i)
void | ACE_Convert (const ACE_TCHAR *s, u_long &ul)
void | ACE_Convert (const ACE_TCHAR *s, double &d)

## Detailed Description

Id:
  Env_Value_T.h,v 4.27 2003/11/28 22:24:30 shuston Exp

Template to encapsulate getting a value from an environment variable and using a supplied default value if not in the environment.

Author:
  Chris Cleeland (derived from work by Carlos O'Ryan)

## Function Documentation

void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | double & | d
| ) | `[inline]`

void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | u_long & | ul
| ) | `[inline]`

void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | int & | i
| ) | `[inline]`

void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | long & | l
| ) | `[inline]`

void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | u_int & | i
| ) | `[inline]`

void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | u_short & | us
| ) | `[inline]`

void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | short & | si
| ) | `[inline]`

void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | const ACE_TCHAR *& | v
| ) | `[inline]`

void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | ACE_TCHAR *& | v
| ) | `[inline]`

template<class T>
void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | T & | t
| ) | `[inline]`